Name:           maven-repository-builder
Version:        1.0
Release:        %mkrel 7
Group:          Development/Java
# Maven-shared defines maven-repository-builder version as 1.0
Epoch:          1
Summary:        Maven repository builder
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-repository-builder/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/maven-repository-builder/1.0/maven-repository-builder-%{version}-source-release.zip
# ASL mandates that the licence file be included in redistributed source
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven.shared:maven-test-tools)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-file)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-http-lightweight)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)

%description
Maven repository builder.

%package javadoc
Summary:        API documentation for %{name}
    
%description javadoc
This package provides %{summary}.

%prep
%setup -q

# Replace plexus-maven-plugin with plexus-component-metadata
find -name 'pom.xml' -exec sed \
    -i 's/<artifactId>plexus-maven-plugin<\/artifactId>/<artifactId>plexus-component-metadata<\/artifactId>/' '{}' ';'
find -name 'pom.xml' -exec sed \
    -i 's/<goal>descriptor<\/goal>/<goal>generate-metadata<\/goal>/' '{}' ';'

# Removing JARs because of binary code contained
find -iname '*.jar' -delete

cp %{SOURCE1} LICENSE.txt

%pom_remove_dep :maven-project
%pom_remove_dep :maven-artifact-manager
%pom_add_dep org.apache.maven:maven-compat:3.3.3

%build
# Skipping tests because they don't work without the JARs
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Mon May 15 2017 neoclust <neoclust> 1:1.0-7.mga6
+ Revision: 1101403
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 1:1.0-6.mga6
+ Revision: 1099847
- Compile against Maven 3 APIs
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:1.0-4.mga6
+ Revision: 977317
- First rebuild of the java stack
- sync package maven-repository-builder with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0-0.alpha2.4.mga5
+ Revision: 739125
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0-0.alpha2.2.mga4
+ Revision: 529872
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1:1.0-0.alpha2.1.mga4
+ Revision: 453831
- imported package maven-repository-builder


* Tue Feb 19 2013 Tomas Radej <tradej@redhat.com> - 1:1.0-0.3.alpha2
- Added BR on maven-shared

* Fri Feb 08 2013 Tomas Radej <tradej@redhat.com> - 1:1.0-0.2.alpha2
- Removed bundled JAR
- Building the new way

* Fri Jan 11 2013 Tomas Radej <tradej@redhat.com> - 1:1.0-0.1.alpha2
- Initial version

